summaryrefslogtreecommitdiff
path: root/x11-libs/pixman
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /x11-libs/pixman
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'x11-libs/pixman')
-rw-r--r--x11-libs/pixman/files/pixman-0.12.0-sse.patch14
-rw-r--r--x11-libs/pixman/pixman-9999.ebuild26
2 files changed, 40 insertions, 0 deletions
diff --git a/x11-libs/pixman/files/pixman-0.12.0-sse.patch b/x11-libs/pixman/files/pixman-0.12.0-sse.patch
new file mode 100644
index 0000000..1f6ee92
--- /dev/null
+++ b/x11-libs/pixman/files/pixman-0.12.0-sse.patch
@@ -0,0 +1,14 @@
+--- configure.ac.orig 2008-09-25 20:34:22.000000000 -0700
++++ configure.ac 2008-09-25 20:43:57.000000000 -0700
+@@ -191,10 +191,8 @@
+ CFLAGS="$CFLAGS -msse2 $SSE2_CFLAGS"
+
+ AC_COMPILE_IFELSE([
+-#if defined(__GNUC__) && (__GNUC__ < 4 || (__GNUC__ == 4 && __GNUC_MINOR__ < 2))
+-# if !defined(__amd64__) && !defined(__x86_64__)
++#if !defined(__GNUC__) && !(__GNUC__ < 4 || (__GNUC__ == 4 && __GNUC_MINOR__ < 2))
+ # error "Need GCC >= 4.2 for SSE2 intrinsics on x86"
+-# endif
+ #endif
+ #include <mmintrin.h>
+ #include <xmmintrin.h>
diff --git a/x11-libs/pixman/pixman-9999.ebuild b/x11-libs/pixman/pixman-9999.ebuild
new file mode 100644
index 0000000..144a467
--- /dev/null
+++ b/x11-libs/pixman/pixman-9999.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/pixman/pixman-0.9.5.ebuild,v 1.1 2007/09/08 08:47:24 dberkholz Exp $
+
+# Must be before x-modular eclass is inherited
+SNAPSHOT="yes"
+
+inherit git x-modular
+
+EGIT_REPO_URI="git://anongit.freedesktop.org/git/pixman"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+
+DESCRIPTION="Low-level pixel manipulation routines"
+SRC_URI=""
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+
+src_config(){
+ econf || die
+}
+
+src_unpack() {
+ git_src_unpack
+ x-modular_patch_source
+ x-modular_reconf_source
+}